define ROWS=10000
clear screen

set echo on

drop table big_table;
drop table audit_table;
drop sequence s;

@big_table &rows
pause
clear screen

create table audit_table ( seq int, id int );
create sequence s;
pause
clear screen

create or replace trigger big_table_trigger
after update on big_table for each row
declare
	pragma autonomous_transaction;
begin
	insert into audit_table values ( s.nextval, :new.id );
	commit;
end;
/
pause
clear screen

set define ^
host xterm -font lucidasanstypewriter-bold-18 -e "sqlplus / @cr3a.sql ^ROWS" &
set define &
pause
clear screen
select count(*) from audit_table;
update big_table set secondary = 'a' where secondary <> 'a';
commit;
select count(*) from audit_table;
